Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar
[Groovy] Class SonarPlugin

    java.lang.Object
      org.gradle.api.plugins.sonar.SonarPlugin

All Implemented Interfaces:
  Plugin

    class SonarPlugin

A plugin for integrating with Sonar, a web-based platform for managing code quality. Adds a task named `sonarAnalyze` that analyzes the project to which the plugin is applied and its subprojects. The results are stored in the Sonar database.

For more information, see the Sonar Plugin chapter in the Gradle user guide.

See Also:
  SonarAnalyze
  SonarRootModel
  SonarProjectModel

Property Summary
`static String` | `SONAR_ANALYZE_TASK_NAME`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### SONAR_ANALYZE_TASK_NAME

    static final String SONAR_ANALYZE_TASK_NAME

Method Detail

### apply

    void apply(ProjectInternal project)

Gradle API 1.1-rc-1